{% extends "products/base.html" %}
{% load static %}

	{% block content %}

    <!-- <div class="container"> -->
      <!-- ITEM CARDS -->

      <!-- SEMUA GAMBAR ILANG(NGGAK ADA DI FILE), HARUS DITAMBAHIN -->

      <!-- <div class="row row-cols-1 row-cols-md-3" style="margin-top: 100px;" id="place"> -->
      <!-- <a href="" id="card-press-area">
        <div class="col mb-4">
          <div class="card h-100">
            <img src="{% static 'register/casual-black@0.5x.png' %}" class="card-img-top" alt="...">
            <div class="card-body">
              <p style="color: yellow;">★★★★</p>
              <h5 class="card-title" id="items-card-title">Casually Vibin' - Black</h5>
              <p class="card-text" id="items-card-text">Rp. 1.450.000</p>
            </div>
          </div>
        </div> 
      </a> -->
      <!-- <a href="" id="card-press-area">
          <div class="col mb-4">
            <div class="card h-100">
              <img src="{% static 'register/casual-black@0.5x.png' %}" class="card-img-top" alt="...">
              <div class="card-body">
                <p style="color: yellow;">★★★★</p>
                <h5 class="card-title" id="items-card-title">Casually Vibin' - Black</h5>
                <p class="card-text" id="items-card-text">Rp. 1.450.000</p>
              </div>
            </div>
          </div> 
        </a>
        <a href="" id="card-press-area">
          <div class="col mb-4">
            <div class="card h-100">
              <img src="{% static 'register/casual-black@0.5x.png' %}" class="card-img-top" alt="...">
              <div class="card-body">
                <p style="color: yellow;">★★★★</p>
                <h5 class="card-title" id="items-card-title">Casually Vibin' - Black</h5>
                <p class="card-text" id="items-card-text">Rp. 1.450.000</p>
              </div>
            </div>
          </div> 
        </a> -->
      <!-- </div> 
      
    </div>   end of container div -->

    <div class="container text-center" style="margin-top:20px;">
      <div class="col">
          <table id="place" class="table"></table>
      </div>

    <script src="{% static 'jquery.js' %}"></script>
    <script>
      var ourData 
      var buttons

      window.onload = function(){
          place = document.getElementById("place");
      }

      $.get("/product/json/", function(json_response){
              ourData=JSON.parse(json_response)
              renderHTML(ourData)
              addButtonMap("add")
          })

      function renderHTML(data) {
          var table = "<thead class='thead-dark'><tr><th>Name</th><th>Price</th><th>Amount</th><th>Actions</th></tr></thead><tbody>"
              for (i = 0; i < data.length; i++) {
                  const name = data[i].fields.name
                  const price = data[i].fields.price
                  const stock = data[i].fields.stock
                  const id = data[i].pk

                  table += "<tr><td>" + 
                            name  + "</td><td>"+
                            price + "</td><td>"+
                            stock + "</td><td>" +
                            "<button class='btn btn-dark' name='add' id='"+ id +"'>Add to Cart</button>"
              }
          place.innerHTML = table;
          }


        function addButtonMap(buttonName){
            buttons = document.getElementsByName(buttonName)
            for(i = 0; i < buttons.length; i++){
                buttons[i].onclick = function(e){
                    $.ajax({
                        url : '/cart/',
                        data : { 
                          task: "add",
                          data: this.id
                            },
                        type: 'POST',
                        success : function(){

                            // $.get("/product/json/", function(json_response){
                            //     ourData = JSON.parse(json_response.data)
                            //     total = json_response.total.total_price
                            //     renderHTML(ourData)
                            //     addButtonMap("btn")
                            // })
                            alert("Add successful")
                            }
                        })
                      }
                  }
              }
      </script>
  {% endblock %}